
Redmine - Feature #14018

Allow tracker field appear empty on new issues' creation (force user to choose tracker)

2013-05-08 20:04 - Bruno Medeiros

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

When creating new issues on Redmine, the default tracker appears already selected on the tracker selection box when a user clicks

on 'New Issue'. It's bad because it encourages users to stick with the default tracker instead of think about the right tracker to the

issue being created.

I suggest a option on configuration page to make the tracker selection box appear empty, still mandatory, forcing the user to think

about the right tracker and pick up it.

Related issues:

Is duplicate of Redmine - Feature #1365: Allow Project by Project setting of ... New 2008-06-03

History

#1 - 2013-07-13 00:17 - Michael Wahnon

+1 on this. I'm looking for ways to more effectively separate bugs and features for data collection purposes, and this is challenging when users can

simply file with a default tracker. The best solution is to force them to choose the correct tracker at issue creation, which is currently impossible.

It is important to consider that if Tracker is configured to default to blank, when the Tracker field is left at the default blank, the issue should not save

forcing the user to select a Tracker from the list.

#2 - 2015-07-22 14:41 - Manuel Mai

+1!

Someone meanwhile has a solution on this?

thanks, Manuel

#3 - 2016-05-20 09:56 - Boerje Ulrich

Hi there,

definately a must have, I´m tired of changing the tracker of about 40% of all tickets.

#4 - 2016-06-16 13:20 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #1365.

#5 - 2016-06-16 13:21 - Toshi MARUYAMA

- Is duplicate of Feature #1365: Allow Project by Project setting of a 'Default' Tracker value including nil added
